C
C     ******************************************
C     **                                      **
C     **          ファイルＣＬＯＳＥ          **
C     **                                      **
C     ******************************************
C
C
      SUBROUTINE      FCLS
      IMPLICIT INTEGER (A-Z)
      INCLUDE 'seps.inc'
      INTEGER XX
C
C
C     ダミーの結果ファイル(推計結果)
      CLOSE( 1)
C     ダミーの結果ファイル(ファイルチェック用)
      CLOSE( 2)
C     基礎率ファイル(全体)
      CLOSE(10)
C     報酬ファイル
      CLOSE(11)
C     支給率
      CLOSE(12)
C
C     有遺族率
      CLOSE(14)
C     経済的要素ファイル
      CLOSE(20)
C     死亡率ファイル
      CLOSE(25)
C     基礎数ファイル(被保険者 １種)
      CLOSE(30)
C     基礎数ファイル(被保険者 ２種)
      CLOSE(31)
C     基礎数ファイル(被保険者 ３種)
      CLOSE(32)
C     基礎数ファイル(受給者 １種、２種、３種)
C     ファイルナンバー（35,36,37）、(40,41,42)、、、(60,61,62)
      DO 1100 XX=0,5
        IF(KONEN.NE.1 .AND. XX.GT.0) GO TO 1100
        CLOSE(35+XX*5)
        CLOSE(36+XX*5)
        IF(PSEID.EQ.0) CLOSE(37+XX*5)
 1100 CONTINUE
C     外枠ファイル
      CLOSE(70)
      CLOSE(71)
      CLOSE(73)
      IF(FLG_PART.GE.1 .AND. PSEID.EQ.0) THEN
        CLOSE(75)
        CLOSE(76)
        CLOSE(77)
        IF(FLG_PART.GE.3) THEN
          CLOSE(78)
          CLOSE(79)
        END IF
      END IF
C     人口ファイル
      CLOSE(72)
C     Ａシステムへの出力ファイル
      CLOSE(80)
C     基礎年金給付費ファイル
      CLOSE(90)
C
      IF((KEY.EQ.1 .OR. KEY.EQ.11) .AND.
     &   ((SEIDN.EQ.8 .AND. PSEID.NE.7) .OR. PSEID.EQ.SEIDN) .AND.
     &   NENBEEX.EQ.0                                             ) THEN
        CLOSE(93)
      END IF
C
C
      RETURN
C
      END
C
